Uploaded image for project: 'Puppet'
  1. Puppet
  2. PUP-10624

Puppet::Agent::Locker#running? deprecation warning

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Resolved
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: PUP 6.19.0
    • Component/s: None
    • Labels:
    • Template:
    • Team:
      Night's Watch
    • Story Points:
      1
    • Sprint:
      NW - 2020-09-01
    • Release Notes:
      Enhancement
    • Release Notes Summary:
      The Locker#running? method is still in use and it was decided to keep it, remove deprecation message
    • QA Risk Assessment:
      Needs Assessment

      Description

      Puppet::Agent::Locker#running? is still being used. We do not plan to remove it from Platform 7.

      We need to remove the deprecation warning from Puppet 6.x.

        Attachments

          Activity

            People

            Assignee:
            ciprian.badescu Ciprian Badescu
            Reporter:
            mihai.buzgau Mihai Buzgau
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Zendesk Support